# ConsensusStream | xrpl
Documentation for xrpl

# Interface ConsensusStream

The consensus stream sends consensusPhase messages when the consensus process changes phase. The message contains the new phase of consensus the server is in.

#### Hierarchy

- BaseStream
  - ConsensusStream

- Defined in packages/xrpl/src/models/methods/subscribe.ts:377

#####
Index

### Properties

consensus
type

## Properties

### consensus

consensus: "open" | "establish" | "accepted"

The new consensus phase the server is in. Possible values are open, establish, and accepted.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:383

### type

type: "consensusPhase"

Overrides BaseStream.type

- Defined in packages/xrpl/src/models/methods/subscribe.ts:378

Generated using TypeDoc